Apache Tomcat 6.0.51

## org.apache.catalina.mbeans
Class ContextEnvironmentMBean

    java.lang.Object
      org.apache.tomcat.util.modeler.BaseModelMBean
          org.apache.catalina.mbeans.ContextEnvironmentMBean

All Implemented Interfaces:
  javax.management.DynamicMBean, javax.management.MBeanRegistration, javax.management.modelmbean.ModelMBeanNotificationBroadcaster, javax.management.NotificationBroadcaster

    public class ContextEnvironmentMBean

extends BaseModelMBean

A ModelMBean implementation for the `org.apache.catalina.deploy.ContextEnvironment` component.

Author:
  Amy Roh

Field Summary

Fields inherited from class org.apache.tomcat.util.modeler.BaseModelMBean
`attributeBroadcaster, generalBroadcaster, managedBean, oname, resource, resourceType`

Constructor Summary
`ContextEnvironmentMBean()` Construct a `ModelMBean` with default `ModelMBeanInfo` information.

Method Summary
`void` | `setAttribute(javax.management.Attribute attribute)` Set the value of a specific attribute of this MBean.

Methods inherited from class org.apache.tomcat.util.modeler.BaseModelMBean

`addAttributeChangeNotificationListener, addNotificationListener, getAttribute, getAttributes, getClassName, getJmxName, getManagedResource, getMBeanInfo, getModelerType, getNotificationInfo, getObjectName, invoke, postDeregister, postRegister, preDeregister, preRegister, removeAttributeChangeNotificationListener, removeAttributeChangeNotificationListener, removeNotificationListener, removeNotificationListener, removeNotificationListener, sendAttributeChangeNotification, sendAttributeChangeNotification, sendNotification, sendNotification, setAttributes, setManagedBean, setManagedResource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ContextEnvironmentMBean

    public ContextEnvironmentMBean()
                            throws javax.management.MBeanException,
                                   javax.management.RuntimeOperationsException

  Construct a `ModelMBean` with default `ModelMBeanInfo` information.

  Throws:
    `javax.management.MBeanException` - if the initializer of an object throws an exception
    `javax.management.RuntimeOperationsException` - if an IllegalArgumentException occurs

Method Detail

### setAttribute

    public void setAttribute(javax.management.Attribute attribute)
                      throws javax.management.AttributeNotFoundException,
                             javax.management.MBeanException,
                             javax.management.ReflectionException

  Set the value of a specific attribute of this MBean.

  Specified by:
    `setAttribute` in interface `javax.management.DynamicMBean`
  Overrides:
    `setAttribute` in class `BaseModelMBean`
  Parameters:
    `attribute` - The identification of the attribute to be set and the new value
  Throws:
    `javax.management.AttributeNotFoundException` - if this attribute is not supported by this MBean
    `javax.management.MBeanException` - if the initializer of an object throws an exception
    `javax.management.ReflectionException` - if a Java reflection exception occurs when invoking the getter

Apache Tomcat 6.0.51

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.